package models

//轮播图
type SgjPatientRotation struct {
	ID int64 `gorm:"column:id" json:"id" form:"id"`
	Title string `gorm:"column:title" json:"title" form:"title"`
	Sort int64 `gorm:"column:sort" json:"sort" form:"sort"`
	RotationImages string `gorm:"column:rotation_images" json:"rotation_images" form:"rotation_images"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status int64 `gorm:"column:status" json:"status" form:"status"`
	ModelId int64 `gorm:"column:model_id" json:"model_id" form:"model_id"`
}

func (SgjPatientRotation) TableName() string {
	return "sgj_patient_rotation"
}

type SgjPatientModel struct {
	ID int64 `gorm:"column:id" json:"id" form:"id"`
	Title string `gorm:"column:title" json:"title" form:"title"`
	Sort int64 `gorm:"column:sort" json:"sort" form:"sort"`
	Ctime int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status int64 `gorm:"column:status" json:"status" form:"status"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
}

func (SgjPatientModel) TableName() string{
	return "sgj_patient_model"
}

//医院介绍
type SgjPatientHospital struct {
	ID int64 `gorm:"column:id" json:"id" form:"id"`
	Title string `gorm:"column:title" json:"title" form:"title"`
	Sort int64 `gorm:"column:sort" json:"sort" form:"sort"`
	Introduction string `gorm:"column:introduction" json:"introduction" form:"introduction"`
	Ctime int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status int64 `gorm:"column:status" json:"status" form:"status"`
	Modleid int64 `gorm:"column:modleid" json:"modleid" form:"modleid"`
}

func (SgjPatientHospital) TableName() string {
	return "sgj_patient_hospital"
}

//科室介绍
type SgjPatientOffices struct {
	ID int64 `gorm:"column:id" json:"id" form:"id"`
	Title string `gorm:"column:title" json:"title" form:"title"`
	Sort int64 `gorm:"column:sort" json:"sort" form:"sort"`
	Introduction string `gorm:"column:introduction" json:"introduction" form:"introduction"`
	Mtime int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Ctime int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status int64 `gorm:"column:status" json:"status" form:"status"`
	Modleid int64 `gorm:"column:modleid" json:"modleid" form:"modleid"`
}

func (SgjPatientOffices)TableName() string  {
	return "sgj_patient_offices"
}

//名医介绍
type SgjPatientDoctor struct {
	ID int64 `gorm:"column:id" json:"id" form:"id"`
	Title string `gorm:"column:title" json:"title" form:"title"`
	Sort int64 `gorm:"column:sort" json:"sort" form:"sort"`
	Images string `gorm:"column:images" json:"images" form:"images"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Docname string `gorm:"column:docname" json:"docname" form:"docname"`
	Dochead string `gorm:"column:dochead" json:"dochead" form:"dochead"`
	DocPosition int64 `gorm:"column:doc_position" json:"doc_position" form:"doc_position"`
	Docintroduction string `gorm:"column:docintroduction" json:"docintroduction" form:"docintroduction"`
	Status int64 `gorm:"column:status" json:"status" form:"status"`
	DocSort int64 `gorm:"column:doc_sort" json:"doc_sort" form:"doc_sort"`
	Modelid int64 `gorm:"column:modelid" json:"modelid" form:"modelid"`
}

func (SgjPatientDoctor) TableName() string {
	return "sgj_patient_doctor"
}

// 科室环境
type SgjPatientOffenvironment struct {
	ID int64 `gorm:"column:id" json:"id" form:"id"`
	Title string `gorm:"column:title" json:"title" form:"title"`
	Sort int64 `gorm:"column:sort" json:"sort" form:"sort"`
	Keimages string `gorm:"column:keimages" json:"keimages" form:"keimages"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status int64 `gorm:"column:status" json:"status" form:"status"`
	Modelid int64 `gorm:"column:modelid" json:"modelid" form:"modelid"`
}
func (SgjPatientOffenvironment) TableName() string {
	return "sgj_patient_offenvironment"
}

type SgjPatientConnection struct {
	ID int64 `gorm:"column:id" json:"id" form:"id"`
	Title string `gorm:"column:title" json:"title" form:"title"`
	Connecway int64 `gorm:"column:connecway" json:"connecway" form:"connecway"`
	Content string `gorm:"column:content" json:"content" form:"content"`
	Status int64 `gorm:"column:status" json:"status" form:"status"`
	Ctime int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
}

func (SgjPatientConnection) TableName() string{

	return "sgj_patient_connection"
}

type SgjPatientConnecmodel struct {
	ID int64 `gorm:"column:id" json:"id" form:"id"`
	Title string `gorm:"column:title" json:"title" form:"title"`
	Sort int64 `gorm:"column:sort" json:"sort" form:"sort"`
	RotationImages string `gorm:"column:rotation_images" json:"rotation_images" form:"rotation_images"`
	HospitalAddress string `gorm:"column:hospital_address" json:"hospital_address" form:"hospital_address"`
	HospitalMap string `gorm:"column:hospital_map" json:"hospital_map" form:"hospital_map"`
	ConnectionWay string `gorm:"column:connection_way" json:"connection_way" form:"connection_way"`
	Worktime string `gorm:"column:worktime" json:"worktime" form:"worktime"`
	Rideway string `gorm:"column:rideway" json:"rideway" form:"rideway"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status int64 `gorm:"column:status" json:"status" form:"status"`
	Ctime int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	ModeType int64 `gorm:"column:mode_type" json:"mode_type" form:"mode_type"`
}
func (SgjPatientConnecmodel) TableName() string  {

	return "sgj_patient_connecmodel"
}

type SgjPatientNewmodel struct {
	ID int64 `gorm:"column:id" json:"id" form:"id"`
	Title string `gorm:"column:title" json:"title" form:"title"`
	Sort int64 `gorm:"column:sort" json:"sort" form:"sort"`
	RotationImages string `gorm:"column:rotation_images" json:"rotation_images" form:"rotation_images"`
	HospitalIntroduction string `gorm:"column:hospital_introduction" json:"hospital_introduction" form:"hospital_introduction"`
	OfficeIntroduction string `gorm:"column:office_introduction" json:"office_introduction" form:"office_introduction"`
	DoctorImages string `gorm:"column:doctor_images" json:"doctor_images" form:"doctor_images"`
	OfficeImages string `gorm:"column:office_images" json:"office_images" form:"office_images"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status int64 `gorm:"column:status" json:"status" form:"status"`
	Ctime int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Docname string `gorm:"column:docname" json:"docname" form:"docname"`
	Dochead string `gorm:"column:dochead" json:"dochead" form:"dochead"`
	DocPositional string `gorm:"column:doc_positional" json:"doc_positional" form:"doc_positional"`
	DocIntroduction string `gorm:"column:doc_introduction" json:"doc_introduction" form:"doc_introduction"`
}

func (SgjPatientNewmodel) TableName() string {

	return "sgj_patient_newmodel"

}